{% extends "dashboard/dashboard_content.html" %}
{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Invalid MAC users
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                {% if invalid_users %}
                    <form method="POST">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>S.No</th>
                                    <th>Name</th>
                                    <th>Logon Name</th>
                                    <th>Logon Name (Pre-Windows 2000)</th>
                                    <th>Description</th>
                                    <th>deactivate</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for user in invalid_users %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ user.cn }}</td>
                                        <td>{{ user.userPrincipalName }}</td>
                                        <td>{{ user.sAMAccountName }}</td>
                                        <td>{{ user.description }}</td>
                                        <td><input type="checkbox" name="selected_users" value="{{ user.dn }}">
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <div align="center">
                                <input type="submit" class="save btn btn-lg btn-success" name="deactivate"
                                       value="Deactivate Accounts"
                                       id="deactivate"/>
                            </div>
                        </div>
                    </form>
                {% endif %}

            </div>
        </div>
    </div>
{% endblock %}